FINGER(1)

NAME
finger - user information lookup program

SYNOPSIS
finger [ options ] name ...

DESCRIPTION
By default finger lists the login name, full name, terminal name and write status (as a `*' before the terminal name if write permission is denied), idle time, login time, and office location and phone number (if they are known) for each current UNIX user. (Idle time is minutes if it is a single integer, hours and minutes if a ':' is present, or days and hours if a 'd' is present.)

A longer format also exists and is used by finger whenever a list of people's names is given. (Account names as well as first and last names of users are accepted.) This format is multi-line, and includes all the information described above as well as the user's home directory and login shell, any plan which the person has placed in the file .plan in their home directory, and the project on which they are working from the file .project also in the home directory.

Finger may be used to lookup users on a remote machine. The format is to specify the user as ``user@host.'' If the user name is left off, the standard format listing is provided on the remote machine.

Finger options include:

-m  Match arguments only on user name.

-l  Force long output format.

-p  Suppress printing of the .plan files

-s  Force short output format.

The GCOS field of the passwd file is interpreted as up to four comma-separated fields. Any of the fields may be omitted by giving two adjacent commas. The first field is the user's full name. If this contains an ampersand, `&', the usercode will be interpolated. The second field is the user's office location. The third and fourth are the user's office and home telephone numbers respectively.

FILES
/etc/utmp    who file
/etc/passwd    for users names, offices, ...
/var/adm/lastlog    last login times
~/.plan    plans
~/.project    projects

SEE ALSO
chfn(1), w(1), who(1), fingerd(8)

AUTHOR
Earl T. Cohen

BUGS
Only the first line of the .project file is printed.

There is no way to pass arguments to the remote machine as finger uses an internet standard port.

A user information data base is in the works and will radically alter the way the information that finger uses is stored. Finger will require extensive modification when this is implemented.